***crcb
***crcb vs. nnk
***March 29, 2021

rename var1  week
rename var5  nnk
rename var2  week_string
rename var3  crcb_nw
rename var4  crcb_w
rename var16 deads_week
save "C:\Users\tthst\123\crcb\1_munka\2020_covid_19\covid_19_2020_crcb_nnk_data_210326.dta", replace

tsset week

sum crcb_nw, det
sum crcb_w,  det
sum nnk,     det

gen crcb_nw_z=(crcb_nw - 80.6 ) /11.20714
gen crcb_w_z =(crcb_w  - 3.966) /0.5649037
gen nnk_z    =(nnk     - 4.1933)/2.233435

gen l1_crcb_w_z  = crcb_w_z[_n-1]
gen l1_crcb_nw_z = crcb_nw_z[_n-1]
gen l1_nnk_z     = nnk_z[_n-1]
gen d_crcb_w_z  = crcb_w_z - l1_crcb_w_z
gen d_crcb_nw_z = crcb_nw_z - l1_crcb_nw_z
gen d_nnk_z     = nnk_z - l1_nnk_z
gen crcb_nnk   =   crcb_nw_z - nnk_z
gen d_crcb_nnk = d_crcb_nw_z - d_nnk_z

dfuller crcb_nw_z
dfuller crcb_w_z
dfuller nnk_z
dfuller crcb_nnk

dfuller d_crcb_nw_z
dfuller d_crcb_w_z
dfuller d_nnk_z
dfuller d_crcb_nnk

pwcorr crcb_nw_z crcb_w_z nnk_z, sig
pwcorr d_crcb_nw_z d_crcb_w_z d_nnk_z, sig

line nnk_z week, legend(size(small)) note("Source: CRCB's estimation based on NNK data")
line crcb_nw_z crcb_w_z week, legend(size(small)) note("Source: CRCB's estimation based on NNK data")
line nnk_z crcb_nw_z crcb_w_z week, legend(size(small)) note("Source: CRCB's estimation based on NNK data")
line d_nnk_z d_crcb_w_z week, legend(size(small)) note("Source: CRCB's estimation based on NNK data")

